osmith has submitted this change. ( https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/40316?usp=email )
Change subject: testenv: qemu: add modules.alias
......................................................................
testenv: qemu: add modules.alias
Fix loading the sctp module, which is needed to run osmo-epdg in QEMU:
modprobe: can't load module libcrc32c (kernel/lib/libcrc32c.ko): unknown symbol in module, or unknown parameter
Change-Id: I475176734b994e7abda63badda0983ab6534b682
---
M _testenv/data/scripts/qemu/qemu_functions.sh
1 file changed, 3 insertions(+), 1 deletion(-)
Approvals:
fixeria: Looks good to me, but someone else must approve
pespin: Looks good to me, but someone else must approve
laforge: Looks good to me, approved
Jenkins Builder: Verified
diff --git a/_testenv/data/scripts/qemu/qemu_functions.sh b/_testenv/data/scripts/qemu/qemu_functions.sh
index a984ff9..efbdd2d 100755
--- a/_testenv/data/scripts/qemu/qemu_functions.sh
+++ b/_testenv/data/scripts/qemu/qemu_functions.sh
@@ -41,7 +41,9 @@
| sort -u \
| cut -d ' ' -f 2)"
- qemu_initrd_add_file $files
+ qemu_initrd_add_file \
+ $files \
+ /usr/lib/modules/"$kernel"/modules.alias
# Save the list of modules
for i in $@; do
--
To view, visit https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/40316?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings?usp=email
Gerrit-MessageType: merged
Gerrit-Project: osmo-ttcn3-hacks
Gerrit-Branch: master
Gerrit-Change-Id: I475176734b994e7abda63badda0983ab6534b682
Gerrit-Change-Number: 40316
Gerrit-PatchSet: 1
Gerrit-Owner: osmith <osmith(a)sysmocom.de>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Reviewer: fixeria <vyanitskiy(a)sysmocom.de>
Gerrit-Reviewer: laforge <laforge(a)osmocom.org>
Gerrit-Reviewer: osmith <osmith(a)sysmocom.de>
Gerrit-Reviewer: pespin <pespin(a)sysmocom.de>
osmith has submitted this change. ( https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/40318?usp=email )
Change subject: testenv: qemu_initrd_add_bin: support adding so
......................................................................
testenv: qemu_initrd_add_bin: support adding so
Erlang has its own library loading mechanism, so we need to explicitly
add the depending libraries to the initramfs instead of just pointing at
binaries.
Change-Id: I1b9f06e7bff22b9260fbe0bd765177a25e97b557
---
M _testenv/data/scripts/qemu/qemu_functions.sh
1 file changed, 15 insertions(+), 7 deletions(-)
Approvals:
Jenkins Builder: Verified
laforge: Looks good to me, but someone else must approve
fixeria: Looks good to me, approved
pespin: Looks good to me, but someone else must approve
diff --git a/_testenv/data/scripts/qemu/qemu_functions.sh b/_testenv/data/scripts/qemu/qemu_functions.sh
index efbdd2d..c1ef8b8 100755
--- a/_testenv/data/scripts/qemu/qemu_functions.sh
+++ b/_testenv/data/scripts/qemu/qemu_functions.sh
@@ -51,19 +51,27 @@
done
}
-# Add binaries with depending libraries
-# $@: paths to binaries
+# Add binaries/libraries with depending libraries
+# $@: paths to binaries/libraries
qemu_initrd_add_bin() {
local bin
local bin_path
local file
for bin in "$@"; do
- local bin_path="$(which "$bin")"
- if [ -z "$bin_path" ]; then
- echo "ERROR: file not found: $bin"
- exit 1
- fi
+ local bin_path
+ case "$bin" in
+ /*)
+ bin_path="$bin"
+ ;;
+ *)
+ bin_path="$(which "$bin")"
+ if [ -z "$bin_path" ]; then
+ echo "ERROR: file not found: $bin"
+ exit 1
+ fi
+ ;;
+ esac
lddtree_out="$(lddtree -l "$bin_path")"
if [ -z "$lddtree_out" ]; then
--
To view, visit https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/40318?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings?usp=email
Gerrit-MessageType: merged
Gerrit-Project: osmo-ttcn3-hacks
Gerrit-Branch: master
Gerrit-Change-Id: I1b9f06e7bff22b9260fbe0bd765177a25e97b557
Gerrit-Change-Number: 40318
Gerrit-PatchSet: 1
Gerrit-Owner: osmith <osmith(a)sysmocom.de>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Reviewer: fixeria <vyanitskiy(a)sysmocom.de>
Gerrit-Reviewer: laforge <laforge(a)osmocom.org>
Gerrit-Reviewer: osmith <osmith(a)sysmocom.de>
Gerrit-Reviewer: pespin <pespin(a)sysmocom.de>
osmith has submitted this change. ( https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/40317?usp=email )
Change subject: testenv: support qemu=required in testenv.cfg
......................................................................
testenv: support qemu=required in testenv.cfg
Make it possible to set qemu=required in addition to the existing
possibility of qemu=optional in the testenv configs and verify that
either the debian kernel (from the podman container) or a custom kernel
gets used for such configs.
This is in preparation for adding a testenv config for osmo-epdg, which
uses kernel-gtp and unlike osmo-ggsn doesn't have userspace fallback
code. With testenv using the hosts gtp kernel device for this is not
supported (it would have several downsides anyway, such as not being in
control what exact kernel version is used leading to different test
outcomes for different users, not being easily able to compare different
kernel versions, having a harder time getting debug logs from the module
etc.).
Change-Id: If4abdf1f9248fee0915603a9b3c6e3e5e5083057
---
M _testenv/README.md
M _testenv/testenv/testenv_cfg.py
2 files changed, 21 insertions(+), 14 deletions(-)
Approvals:
fixeria: Looks good to me, but someone else must approve
Jenkins Builder: Verified
pespin: Looks good to me, but someone else must approve
osmith: Looks good to me, approved
diff --git a/_testenv/README.md b/_testenv/README.md
index 66158c4..1b62d65 100644
--- a/_testenv/README.md
+++ b/_testenv/README.md
@@ -122,10 +122,11 @@
* `vty_host=`: optionally set the VTY host for the SUT component to be used
when obtaining a talloc report. If this is not set, `127.0.0.1` is used.
-* `qemu=`: set to `optional` to allow running this test component in QEMU.
- Additional logic must be added to build an initrd with the test component and
- actually run it in QEMU, this is done by sourcing `qemu_functions.sh` and
- using functions from there. See the `ggsn` testsuite for reference.
+* `qemu=`: set to `optional`/`required` to allow/require running this test
+ component in QEMU. Additional logic must be added to build an initrd with the
+ test component and actually run it in QEMU, this is done by sourcing
+ `qemu_functions.sh` and using functions from there. See the `ggsn` testsuite
+ for reference.
### Executables
diff --git a/_testenv/testenv/testenv_cfg.py b/_testenv/testenv/testenv_cfg.py
index 70d64c8..fc28d84 100644
--- a/_testenv/testenv/testenv_cfg.py
+++ b/_testenv/testenv/testenv_cfg.py
@@ -76,31 +76,37 @@
def verify_qemu_cfgs():
- """Check if -C or -K is set, but any of the selected configs can't run with
- QEMU."""
- if not testenv.args.kernel:
- return
+ """Check if passed -C or -K args make sense with the testenv configs."""
+ testsuite = testenv.args.testsuite
+ qemu_supported = False
+ qemu_required = False
for basename, cfg in cfgs.items():
- missing = True
-
for section in cfg.keys():
if "qemu" in cfg[section]:
- missing = False
+ qemu_supported = True
+ if cfg[section]["qemu"] == "required":
+ qemu_required = True
break
- if missing:
- testsuite = testenv.args.testsuite
+ if testenv.args.kernel and not qemu_supported:
logging.critical(f"{testsuite}/{basename}: doesn't support running in QEMU")
exit_error_readme()
+ if not testenv.args.kernel and qemu_required:
+ logging.error(f"{testsuite}/{basename}: {section} must run in QEMU")
+ logging.error("Use one of:")
+ logging.error(" -D, --debian-kernel")
+ logging.error(" -C, --custom-kernel")
+ exit_error_readme()
+
def verify_qemu_section(path, cfg, section):
"""Verify that qemu= has proper values."""
if "qemu" not in cfg[section]:
return
- valid = ["optional"]
+ valid = ["optional", "required"]
value = cfg[section]["qemu"]
if value not in valid:
--
To view, visit https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/40317?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings?usp=email
Gerrit-MessageType: merged
Gerrit-Project: osmo-ttcn3-hacks
Gerrit-Branch: master
Gerrit-Change-Id: If4abdf1f9248fee0915603a9b3c6e3e5e5083057
Gerrit-Change-Number: 40317
Gerrit-PatchSet: 1
Gerrit-Owner: osmith <osmith(a)sysmocom.de>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Reviewer: fixeria <vyanitskiy(a)sysmocom.de>
Gerrit-Reviewer: osmith <osmith(a)sysmocom.de>
Gerrit-Reviewer: pespin <pespin(a)sysmocom.de>
osmith has submitted this change. ( https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/40310?usp=email )
Change subject: testenv: no python trace for setup script failures
......................................................................
testenv: no python trace for setup script failures
Do not print a python trace when a setup script fails, usually it is
unrelated and just clutters the output.
Change-Id: Icbec52befa268547906fdbe9b52bdbc9e94722e6
---
M _testenv/testenv/daemons.py
1 file changed, 2 insertions(+), 1 deletion(-)
Approvals:
laforge: Looks good to me, but someone else must approve
pespin: Looks good to me, but someone else must approve
Jenkins Builder: Verified
fixeria: Looks good to me, approved
diff --git a/_testenv/testenv/daemons.py b/_testenv/testenv/daemons.py
index da8248e..d4804d0 100644
--- a/_testenv/testenv/daemons.py
+++ b/_testenv/testenv/daemons.py
@@ -75,7 +75,8 @@
if "setup" in section_data:
setup = section_data["setup"]
logging.info(f"Running {section} setup script")
- testenv.cmd.run(setup, cwd=cwd)
+ if testenv.cmd.run(setup, cwd=cwd, check=False).returncode:
+ raise testenv.NoTraceException(f"{section}: setup script failed")
def kill_process_tree(pid, ppids):
--
To view, visit https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/40310?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings?usp=email
Gerrit-MessageType: merged
Gerrit-Project: osmo-ttcn3-hacks
Gerrit-Branch: master
Gerrit-Change-Id: Icbec52befa268547906fdbe9b52bdbc9e94722e6
Gerrit-Change-Number: 40310
Gerrit-PatchSet: 1
Gerrit-Owner: osmith <osmith(a)sysmocom.de>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Reviewer: fixeria <vyanitskiy(a)sysmocom.de>
Gerrit-Reviewer: laforge <laforge(a)osmocom.org>
Gerrit-Reviewer: osmith <osmith(a)sysmocom.de>
Gerrit-Reviewer: pespin <pespin(a)sysmocom.de>
osmith has submitted this change. ( https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/40312?usp=email )
Change subject: testenv: podman: add missing tree command
......................................................................
testenv: podman: add missing tree command
The tree command is used by the testenv scripts when building QEMU
initrds to quickly show the contents of the initrd before packing it.
Fix for:
+ tree -a /tmp/testenv-ggsn_tests-osmo_ggsn_v4_only-20250509-1151-745e3562-dxt_lu1f/ggsn/_initrd
osmo-ggsn/run.sh: 140: tree: not found
That the build initramfs logic did not abort here is another bug that
gets fixed in a follow-up patch in this series.
Change-Id: I75fcd210db9e5c9364cb98ee09ebf754790aa55f
---
M _testenv/data/podman/Dockerfile
1 file changed, 1 insertion(+), 0 deletions(-)
Approvals:
pespin: Looks good to me, but someone else must approve
laforge: Looks good to me, approved
fixeria: Looks good to me, but someone else must approve
Jenkins Builder: Verified
diff --git a/_testenv/data/podman/Dockerfile b/_testenv/data/podman/Dockerfile
index 9f92206..fb97ee8 100644
--- a/_testenv/data/podman/Dockerfile
+++ b/_testenv/data/podman/Dockerfile
@@ -85,6 +85,7 @@
sqlite3 \
sudo \
tcpdump \
+ tree \
vim \
vsmartcard-vpcd \
wget \
--
To view, visit https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/40312?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings?usp=email
Gerrit-MessageType: merged
Gerrit-Project: osmo-ttcn3-hacks
Gerrit-Branch: master
Gerrit-Change-Id: I75fcd210db9e5c9364cb98ee09ebf754790aa55f
Gerrit-Change-Number: 40312
Gerrit-PatchSet: 1
Gerrit-Owner: osmith <osmith(a)sysmocom.de>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Reviewer: fixeria <vyanitskiy(a)sysmocom.de>
Gerrit-Reviewer: laforge <laforge(a)osmocom.org>
Gerrit-Reviewer: osmith <osmith(a)sysmocom.de>
Gerrit-Reviewer: pespin <pespin(a)sysmocom.de>
osmith has submitted this change. ( https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/40314?usp=email )
Change subject: testenv: fix not aborting on build_initrd error
......................................................................
testenv: fix not aborting on build_initrd error
Without this patch the build_initrd function keeps going on errors:
+ cp -a --parents /lib/modules/6.1.0-34-amd64/kernel/drivers/net/net_failover.ko /tmp/testenv-ggsn_tests-osmo_ggsn_v4_only-20250509-1040-a21668df-euc9e2fs/ggsn/_initrd/usr
cp: 'lib/modules/6.1.0-34-amd64/kernel/drivers/net': No such file or directory
+ cp -a --parents /lib/modules/6.1.0-34-amd64/kernel/drivers/net/virtio_net.ko /tmp/testenv-ggsn_tests-osmo_ggsn_v4_only-20250509-1040-a21668df-euc9e2fs/ggsn/_initrd/usr
…
The reason for that is that even though the script runs with set -e, the
-e flag gets ignored between if…then where the build_initrd shell
function gets called:
if ! build_initrd >build_initrd.log 2>&1; then
qemu_initrd_exit_error "build_initrd.log"
fi
Fix it by using a trap instead.
Related: https://unix.stackexchange.com/a/65564
Change-Id: I2870b7e7ba28b2afc72e86b7a3bc389103564c80
---
M _testenv/data/scripts/qemu/qemu_functions.sh
M ggsn_tests/osmo-ggsn/run.sh
2 files changed, 18 insertions(+), 8 deletions(-)
Approvals:
pespin: Looks good to me, but someone else must approve
fixeria: Looks good to me, but someone else must approve
laforge: Looks good to me, approved
Jenkins Builder: Verified
diff --git a/_testenv/data/scripts/qemu/qemu_functions.sh b/_testenv/data/scripts/qemu/qemu_functions.sh
index 9c92a37..46e7273 100755
--- a/_testenv/data/scripts/qemu/qemu_functions.sh
+++ b/_testenv/data/scripts/qemu/qemu_functions.sh
@@ -136,10 +136,12 @@
| gzip -1 > "$INITRD_DIR".gz )
}
+# Trap for qemu_build_initrd_with_log_redirect
+# Building the initrd is quite verbose, therefore put it in a log file
+# and only output its contents on error (see e.g. osmo-ggsn/run.sh)
qemu_initrd_exit_error() {
- # Building the initrd is quite verbose, therefore put it in a log file
- # and only output its contents on error (see e.g. osmo-ggsn/run.sh)
- cat "$1"
+ trap - EXIT INT TERM 0
+ cat "build_initrd.log"
set +x
echo
echo "ERROR: failed to build the initrd!"
@@ -147,6 +149,18 @@
exit 1
}
+# Users of qemu_functions should define a build_initrd function that calls
+# qemu_initrd_init, qemu_initrd_add_* and qemu_initrd_finish. See ggsn's run.sh
+# as example. The function here redirects the very verbose output of building
+# the initrd to a separate log file, and aborts and display the log on error.
+qemu_build_initrd_with_log_redirect() {
+ # Use a trap instead of "if !build_initrd; then ..." logic as "set -e"
+ # gets otherwise: https://unix.stackexchange.com/a/65564
+ trap qemu_initrd_exit_error EXIT INT TERM 0
+ build_initrd >build_initrd.log 2>&1
+ trap - EXIT INT TERM 0
+}
+
qemu_random_mac() {
printf "52:54:"
date "+%c %N" | sha1sum | sed 's/\(.\{2\}\)/\1:/g' | cut -d: -f 1-4
diff --git a/ggsn_tests/osmo-ggsn/run.sh b/ggsn_tests/osmo-ggsn/run.sh
index ae77484..27e633e 100755
--- a/ggsn_tests/osmo-ggsn/run.sh
+++ b/ggsn_tests/osmo-ggsn/run.sh
@@ -32,9 +32,5 @@
}
. qemu_functions.sh
-
-if ! build_initrd >build_initrd.log 2>&1; then
- qemu_initrd_exit_error "build_initrd.log"
-fi
-
+qemu_build_initrd_with_log_redirect
qemu_run
--
To view, visit https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/40314?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings?usp=email
Gerrit-MessageType: merged
Gerrit-Project: osmo-ttcn3-hacks
Gerrit-Branch: master
Gerrit-Change-Id: I2870b7e7ba28b2afc72e86b7a3bc389103564c80
Gerrit-Change-Number: 40314
Gerrit-PatchSet: 1
Gerrit-Owner: osmith <osmith(a)sysmocom.de>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Reviewer: fixeria <vyanitskiy(a)sysmocom.de>
Gerrit-Reviewer: laforge <laforge(a)osmocom.org>
Gerrit-Reviewer: osmith <osmith(a)sysmocom.de>
Gerrit-Reviewer: pespin <pespin(a)sysmocom.de>
osmith has submitted this change. ( https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/40315?usp=email )
Change subject: testenv: qemu: initrd build fail: stop immediately
......................................................................
testenv: qemu: initrd build fail: stop immediately
Let qemu_wait.sh fail immediately when building the initrd has failed,
instead of waiting until it runs into a timeout.
Change-Id: I6de4d1c31385af52ee0fd55378adb10a9e2c2154
---
M _testenv/data/scripts/qemu/qemu_functions.sh
M _testenv/data/scripts/qemu/qemu_wait.sh
2 files changed, 7 insertions(+), 0 deletions(-)
Approvals:
fixeria: Looks good to me, approved
Jenkins Builder: Verified
pespin: Looks good to me, but someone else must approve
laforge: Looks good to me, but someone else must approve
diff --git a/_testenv/data/scripts/qemu/qemu_functions.sh b/_testenv/data/scripts/qemu/qemu_functions.sh
index 46e7273..a984ff9 100755
--- a/_testenv/data/scripts/qemu/qemu_functions.sh
+++ b/_testenv/data/scripts/qemu/qemu_functions.sh
@@ -146,6 +146,7 @@
echo
echo "ERROR: failed to build the initrd!"
echo
+ touch build_initrd_failed
exit 1
}
diff --git a/_testenv/data/scripts/qemu/qemu_wait.sh b/_testenv/data/scripts/qemu/qemu_wait.sh
index fb45c7e..2d42701 100755
--- a/_testenv/data/scripts/qemu/qemu_wait.sh
+++ b/_testenv/data/scripts/qemu/qemu_wait.sh
@@ -8,6 +8,12 @@
i=0
for i in $(seq 1 600); do
sleep 0.1
+
+ # Check for the marker from qemu_initrd_exit_error
+ if [ -e build_initrd_failed ]; then
+ exit 1
+ fi
+
if grep -q KERNEL_TEST_VM_IS_READY "$LOGFILE"; then
# Wait some more for SUT to become ready
sleep 1
--
To view, visit https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/40315?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings?usp=email
Gerrit-MessageType: merged
Gerrit-Project: osmo-ttcn3-hacks
Gerrit-Branch: master
Gerrit-Change-Id: I6de4d1c31385af52ee0fd55378adb10a9e2c2154
Gerrit-Change-Number: 40315
Gerrit-PatchSet: 1
Gerrit-Owner: osmith <osmith(a)sysmocom.de>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Reviewer: fixeria <vyanitskiy(a)sysmocom.de>
Gerrit-Reviewer: laforge <laforge(a)osmocom.org>
Gerrit-Reviewer: osmith <osmith(a)sysmocom.de>
Gerrit-Reviewer: pespin <pespin(a)sysmocom.de>
osmith has submitted this change. ( https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/40313?usp=email )
Change subject: testenv: qemu: fix adding kernel modules
......................................................................
testenv: qemu: fix adding kernel modules
Without this patch qemu_initrd_add_file fails to add kernel modules
with "No such file or directory" when running in podman, even though the
files exist:
./testenv.py run ggsn -Dp -c osmo_ggsn_v4_only
…
+ cp -a --parents /lib/modules/6.1.0-34-amd64/kernel/drivers/net/net_failover.ko /tmp/testenv-ggsn_tests-osmo_ggsn_v4_only-20250509-1146-cd82caba-wegi5i98/ggsn/_initrd/usr
cp: 'lib/modules/6.1.0-34-amd64/kernel/drivers/net': No such file or directory
…
When looking at it with strace it became clear that this comes from a
getxattr that fails in the podman filesystem and returns a misleading
error:
getxattr("lib/modules/6.1.0-34-amd64/kernel/drivers/net", "system.posix_acl_access", 0x7ffc012054e0, 132) = -1 ENOENT (No such file or directory)
Fix it by modifying the cp command to not try to preserve any attributes
(they don't matter in the initramfs).
Change-Id: Ic32318da169ee8ebf867937782be5cf8a15f9f2f
---
M _testenv/data/scripts/qemu/qemu_functions.sh
1 file changed, 3 insertions(+), 2 deletions(-)
Approvals:
Jenkins Builder: Verified
pespin: Looks good to me, but someone else must approve
laforge: Looks good to me, approved
fixeria: Looks good to me, but someone else must approve
diff --git a/_testenv/data/scripts/qemu/qemu_functions.sh b/_testenv/data/scripts/qemu/qemu_functions.sh
index e2014a1..9c92a37 100755
--- a/_testenv/data/scripts/qemu/qemu_functions.sh
+++ b/_testenv/data/scripts/qemu/qemu_functions.sh
@@ -8,14 +8,15 @@
# $@: path to files
qemu_initrd_add_file() {
local i
+ local cp="cp --no-dereference --recursive --parents"
for i in "$@"; do
case "$i" in
/bin/*|/sbin/*|/lib/*|/lib64/*)
- cp -a --parents "$i" "$INITRD_DIR"/usr
+ $cp "$i" "$INITRD_DIR"/usr
;;
*)
- cp -a --parents "$i" "$INITRD_DIR"
+ $cp "$i" "$INITRD_DIR"
;;
esac
done
--
To view, visit https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/40313?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings?usp=email
Gerrit-MessageType: merged
Gerrit-Project: osmo-ttcn3-hacks
Gerrit-Branch: master
Gerrit-Change-Id: Ic32318da169ee8ebf867937782be5cf8a15f9f2f
Gerrit-Change-Number: 40313
Gerrit-PatchSet: 1
Gerrit-Owner: osmith <osmith(a)sysmocom.de>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Reviewer: fixeria <vyanitskiy(a)sysmocom.de>
Gerrit-Reviewer: laforge <laforge(a)osmocom.org>
Gerrit-Reviewer: osmith <osmith(a)sysmocom.de>
Gerrit-Reviewer: pespin <pespin(a)sysmocom.de>
Attention is currently required from: pespin.
osmith has posted comments on this change by osmith. ( https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/40317?usp=email )
Change subject: testenv: support qemu=required in testenv.cfg
......................................................................
Patch Set 1: Code-Review+2
(2 comments)
Patchset:
PS1:
1+1=2
File _testenv/README.md:
https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/40317/comment/5e02bba2_8018… :
PS1, Line 125: * `qemu=`: set to `optional`/`required` to allow/require running this test
> Maybe "yes" instead of "required" would be more usual here.
I think "required" is more meaningful than "yes". With "yes" it is not clear if it is optional or required.
--
To view, visit https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/40317?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings?usp=email
Gerrit-MessageType: comment
Gerrit-Project: osmo-ttcn3-hacks
Gerrit-Branch: master
Gerrit-Change-Id: If4abdf1f9248fee0915603a9b3c6e3e5e5083057
Gerrit-Change-Number: 40317
Gerrit-PatchSet: 1
Gerrit-Owner: osmith <osmith(a)sysmocom.de>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Reviewer: fixeria <vyanitskiy(a)sysmocom.de>
Gerrit-Reviewer: osmith <osmith(a)sysmocom.de>
Gerrit-Reviewer: pespin <pespin(a)sysmocom.de>
Gerrit-Attention: pespin <pespin(a)sysmocom.de>
Gerrit-Comment-Date: Mon, 19 May 2025 06:39:25 +0000
Gerrit-HasComments: Yes
Gerrit-Has-Labels: Yes
Comment-In-Reply-To: pespin <pespin(a)sysmocom.de>